Schema iv-2.0.xsd

schema location: | G:\GRIPHYN\PEGASUS\iv-2.0.xsd
targetNamespace: | http://pegasus.isi.edu/schema/invocation

Elements | Complex types | Simple types
invocation | JobType | DottedQuad
| RUsageType | PositiveDecimal
| StatCallType | ResourceValue

element invocation

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | setup prejob mainjob postjob cleanup cwd usage uname statcall environment resource

attributes

Name | Type | Use | Default | Fixed | Annotation
version | xs:NMTOKEN | required |  |  |

start

xs:dateTime

required

documentation

    Start of application according to host clock.

duration

PositiveDecimal

required

documentation

    Duration of application run in seconds with microsecond fraction, according to host clock.

transformation | xs:string | optional | null |  |
derivation | xs:string | optional | null |  |
resource | xs:string | optional |  |  |

hostaddr

DottedQuad

optional

0.0.0.0

documentation

    Host address of the primary interface, as far as discernable.

hostname | xs:string | optional |  |  |

pid

xs:decimal

optional

documentation

    process number of the gridlaunch application itself.

uid

xs:integer

optional

documentation

    real user id on the compute node that started grid launch.

user | xs:string | optional |  |  |

gid

xs:integer

optional

documentation

    real group id of the user that started gridlaunch

group | xs:string | optional |  |  |
wf-label | xs:string | optional |  |  |
wf-stamp | xs:dateTime | optional |  |  |
umask | xs:token | optional |  |  |

annotation

documentation

    record of an application run for a given TR and DV.

element invocation/setup

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed | Annotation
start | xs:dateTime | required |  |  |
duration | PositiveDecimal | required |  |  |
pid | xs:decimal | optional |  |  |

annotation

documentation

    Optional job to run independently first.

element invocation/prejob

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed | Annotation
start | xs:dateTime | required |  |  |
duration | PositiveDecimal | required |  |  |
pid | xs:decimal | optional |  |  |

annotation

documentation

    Optional job to run before invoking the application.

element invocation/mainjob

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed | Annotation
start | xs:dateTime | required |  |  |
duration | PositiveDecimal | required |  |  |
pid | xs:decimal | optional |  |  |

annotation

documentation

    The application itself.

element invocation/postjob

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed | Annotation
start | xs:dateTime | required |  |  |
duration | PositiveDecimal | required |  |  |
pid | xs:decimal | optional |  |  |

annotation

documentation

    Optional job to run after invoking the application.

element invocation/cleanup

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | JobType
children | usage status statcall arguments argument-vector

attributes

Name | Type | Use | Default | Fixed | Annotation
start | xs:dateTime | required |  |  |
duration | PositiveDecimal | required |  |  |
pid | xs:decimal | optional |  |  |

annotation

documentation

    Optional job to run independently last.

element invocation/cwd

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | restriction of xs:string

facets

maxLength | 4096
whiteSpace | preserve

annotation

documentation

    Record the current working directory at time of execution.

element invocation/usage

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | RUsageType

attributes

Name | Type | Use | Default | Fixed | Annotation

utime

xs:decimal

required

documentation

    Total amount of user time used, in seconds with millisecond fraction.

stime

xs:decimal

required

documentation

    Total amount of system time used, in seconds with millisecond fraction.

minflt

xs:unsignedLong

required

documentation

    Number of soft page faults (i.e. those serviced by reclaiming a page from the list of pages awaiting reallocation.

majflt

xs:unsignedLong

required

documentation

    Number of hard page faults (i.e. those that required I/O).

nswap

xs:unsignedLong

required

documentation

    Number of times a process was swapped out of physical memory.

nsignals

xs:unsignedLong

required

documentation

    Number of signals delivered.

nvcsw

xs:unsignedLong

optional

documentation

    Number of voluntary context switches, i.e. because the process gave up the process before it had to (usually to wait for some resource to be available).

nivcsw

xs:unsignedLong

optional

documentation

    Number of involuntary context switches, i.e. a higher priority process became runnable or the current process used up its time slice.

maxrss | xs:unsignedLong | optional |  |  |
ixrss | xs:unsignedLong | optional |  |  |
idrss | xs:unsignedLong | optional |  |  |
isrss | xs:unsignedLong | optional |  |  |
inblock | xs:unsignedLong | optional |  |  |
outblock | xs:unsignedLong | optional |  |  |
msgsnd | xs:unsignedLong | optional |  |  |
msgrcv | xs:unsignedLong | optional |  |  |

annotation

documentation

    Resource usage recorded of gridstart itself.

element invocation/uname

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:token

attributes

Name | Type | Use | Default | Fixed | Annotation

archmode

xs:NMTOKEN

optional

documentation

    IA32, IA64, ILP32, LP64

system | xs:NMTOKEN | required |  |  |
nodename | xs:NMTOKEN | required |  |  |
release | xs:NMTOKEN | required |  |  |
machine | xs:NMTOKEN | required |  |  |
domainname | xs:NMTOKEN | optional |  |  |

annotation

documentation

    Report architecture information.

element invocation/statcall

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of StatCallType
children | file descriptor temporary fifo statinfo data

attributes

Name | Type | Use | Default | Fixed | Annotation

error

xs:int

required

documentation

    result from the stat call on a named file or descriptor.

id | xs:NMTOKEN | required |  |  |
lfn | xs:NMTOKEN | optional |  |  |

annotation

documentation

    Inode info on shared and outside apps and streams.

element invocation/environment

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | env

annotation

documentation

    Environment setting as seen by process.

element invocation/environment/env

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
key | xs:string | required |  |  |

annotation

documentation

    single environment key-value pair.

element invocation/resource

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | soft hard

annotation

documentation

    Resource limits as imposed by the compute enviroment.

element invocation/resource/soft

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of ResourceValue

facets

pattern | (unlimited|\d+)

attributes

Name | Type | Use | Default | Fixed | Annotation
id | xs:NMTOKEN | required |  |  |

element invocation/resource/hard

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of ResourceValue

facets

pattern | (unlimited|\d+)

attributes

Name | Type | Use | Default | Fixed | Annotation
id | xs:NMTOKEN | required |  |  |

complexType JobType

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | usage status statcall arguments argument-vector

used by

elements | invocation/cleanup invocation/mainjob invocation/postjob invocation/prejob invocation/setup

attributes

Name | Type | Use | Default | Fixed | Annotation
start | xs:dateTime | required |  |  |
duration | PositiveDecimal | required |  |  |
pid | xs:decimal | optional |  |  |

annotation

documentation

    Information about a specific job that ran as part of the invocation.

element JobType/usage

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | RUsageType

attributes

Name | Type | Use | Default | Fixed | Annotation

utime

xs:decimal

required

documentation

    Total amount of user time used, in seconds with millisecond fraction.

stime

xs:decimal

required

documentation

    Total amount of system time used, in seconds with millisecond fraction.

minflt

xs:unsignedLong

required

documentation

    Number of soft page faults (i.e. those serviced by reclaiming a page from the list of pages awaiting reallocation.

majflt

xs:unsignedLong

required

documentation

    Number of hard page faults (i.e. those that required I/O).

nswap

xs:unsignedLong

required

documentation

    Number of times a process was swapped out of physical memory.

nsignals

xs:unsignedLong

required

documentation

    Number of signals delivered.

nvcsw

xs:unsignedLong

optional

documentation

    Number of voluntary context switches, i.e. because the process gave up the process before it had to (usually to wait for some resource to be available).

nivcsw

xs:unsignedLong

optional

documentation

    Number of involuntary context switches, i.e. a higher priority process became runnable or the current process used up its time slice.

maxrss | xs:unsignedLong | optional |  |  |
ixrss | xs:unsignedLong | optional |  |  |
idrss | xs:unsignedLong | optional |  |  |
isrss | xs:unsignedLong | optional |  |  |
inblock | xs:unsignedLong | optional |  |  |
outblock | xs:unsignedLong | optional |  |  |
msgsnd | xs:unsignedLong | optional |  |  |
msgrcv | xs:unsignedLong | optional |  |  |

annotation

documentation

    Excerpt of the struct rusage returned for the application.

element JobType/status

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | failure regular signalled suspended

attributes

Name | Type | Use | Default | Fixed | Annotation
raw | xs:int | required |  |  |

annotation

documentation

    Exit status of application, which may be a signal with core dump.

element JobType/status/failure

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
error | xs:short | required |  |  |

annotation

documentation

    Failure to start application. This is an error by gridstart.

element JobType/status/regular

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed | Annotation
exitcode | xs:unsignedByte | required |  |  |

annotation

documentation

    Controlled application exit, may indicate error.

element JobType/status/signalled

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
signal | xs:byte | required |  |  |
corefile | xs:boolean | optional |  |  |

annotation

documentation

    Application died on signal.

element JobType/status/suspended

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
signal | xs:byte | required |  |  |

annotation

documentation

    This should not happen.

element JobType/statcall

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | StatCallType
children | file descriptor temporary fifo statinfo data

attributes

Name | Type | Use | Default | Fixed | Annotation

error

xs:int

required

documentation

    result from the stat call on a named file or descriptor.

annotation

documentation

    Inode information about the application that was run.

element JobType/arguments

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation

executable

xs:string

optional

documentation

    DEPRECATED - redundant attribute will be dropped soon.

annotation

documentation

    Name and arguments of the executable of application.

element JobType/argument-vector

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | arg

attributes

Name | Type | Use | Default | Fixed | Annotation
executable | xs:string | optional |  |  |

annotation

documentation

    Enumerates the argument vector for debugging.

element JobType/argument-vector/arg

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation
nr | xs:nonNegativeInteger | required |  |  |

annotation

documentation

    Single argument vector entry.

complexType RUsageType

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

used by

elements | invocation/usage JobType/usage

attributes

Name | Type | Use | Default | Fixed | Annotation

utime

xs:decimal

required

documentation

    Total amount of user time used, in seconds with millisecond fraction.

stime

xs:decimal

required

documentation

    Total amount of system time used, in seconds with millisecond fraction.

minflt

xs:unsignedLong

required

documentation

    Number of soft page faults (i.e. those serviced by reclaiming a page from the list of pages awaiting reallocation.

majflt

xs:unsignedLong

required

documentation

    Number of hard page faults (i.e. those that required I/O).

nswap

xs:unsignedLong

required

documentation

    Number of times a process was swapped out of physical memory.

nsignals

xs:unsignedLong

required

documentation

    Number of signals delivered.

nvcsw

xs:unsignedLong

optional

documentation

    Number of voluntary context switches, i.e. because the process gave up the process before it had to (usually to wait for some resource to be available).

nivcsw

xs:unsignedLong

optional

documentation

    Number of involuntary context switches, i.e. a higher priority process became runnable or the current process used up its time slice.

maxrss | xs:unsignedLong | optional |  |  |
ixrss | xs:unsignedLong | optional |  |  |
idrss | xs:unsignedLong | optional |  |  |
isrss | xs:unsignedLong | optional |  |  |
inblock | xs:unsignedLong | optional |  |  |
outblock | xs:unsignedLong | optional |  |  |
msgsnd | xs:unsignedLong | optional |  |  |
msgrcv | xs:unsignedLong | optional |  |  |

annotation

documentation

    Information from the rusage record.

complexType StatCallType

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
children | file descriptor temporary fifo statinfo data

used by

elements | invocation/statcall JobType/statcall

attributes

Name | Type | Use | Default | Fixed | Annotation

error

xs:int

required

documentation

    result from the stat call on a named file or descriptor.

annotation

documentation

    Information about a named file or descriptor.

element StatCallType/file

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:hexBinary

attributes

Name | Type | Use | Default | Fixed | Annotation

name

xs:string

required

documentation

    A named file may be a regular file like a shell script or executable, or it may be a device file like /dev/null. Only regular files may incur element content.

annotation

documentation

    Named file in filesystem.

element StatCallType/descriptor

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed | Annotation
number | xs:nonNegativeInteger | required |  |  |

annotation

documentation

    Pre-opened descriptor.

element StatCallType/temporary

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed | Annotation
name | xs:string | required |  |  |
descriptor | xs:integer | required |  |  |

annotation

documentation

    Created temporary file.

element StatCallType/fifo

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed | Annotation
name | xs:string | required |  |  |
descriptor | xs:integer | required |  |  |
count | xs:nonNegativeInteger | optional | 0 |  |
rsize | xs:nonNegativeInteger | optional | 0 |  |
wsize | xs:nonNegativeInteger | optional | 0 |  |

annotation

documentation

    Auto-created feedback FIFO.

element StatCallType/statinfo

diagram |
namespace | http://pegasus.isi.edu/schema/invocation

attributes

Name | Type | Use | Default | Fixed | Annotation
size | xs:integer | required |  |  |

mode

xs:token

optional

documentation

    file protection in octal number with leading zero.

inode | xs:integer | optional |  |  |
nlink | xs:nonNegativeInteger | optional |  |  |
blocks | xs:nonNegativeInteger | optional |  |  |
blksize | xs:nonNegativeInteger | optional |  |  |
atime | xs:dateTime | optional |  |  |
mtime | xs:dateTime | optional |  |  |
ctime | xs:dateTime | optional |  |  |
uid | xs:integer | optional |  |  |
user | xs:string | optional |  |  |
gid | xs:integer | optional |  |  |
group | xs:string | optional |  |  |

annotation

documentation

    Kernel inode information.

element StatCallType/data

diagram |
namespace | http://pegasus.isi.edu/schema/invocation
type | extension of xs:string

attributes

Name | Type | Use | Default | Fixed | Annotation

truncated

xs:boolean

optional

documentation

    This flag will be true, if there is more information than included in the data tag.

annotation

documentation

    One page of content from temporary files.

simpleType DottedQuad

namespace | http://pegasus.isi.edu/schema/invocation
type | restriction of xs:string

used by

attribute | invocation/@hostaddr

facets

minLength | 7
maxLength | 15
whiteSpace | collapse
pattern | (\d{1,3}\.){3}\d{1,3}

annotation

documentation

    dotted quad notation of a IPv4 host address.

simpleType PositiveDecimal

namespace | http://pegasus.isi.edu/schema/invocation
type | restriction of xs:decimal

used by

attributes | invocation/@duration JobType/@duration

facets

minInclusive | 0

annotation

documentation

    restricted version of the 'decimal' type.

simpleType ResourceValue

namespace | http://pegasus.isi.edu/schema/invocation
type | restriction of xs:string

used by

elements | invocation/resource/hard invocation/resource/soft

facets

pattern | (unlimited|\d+)

annotation

documentation

    value for a resource usage

XML Schema documentation generated with XMLSPY Schema Editor http://www.altova.com/xmlspy